From: "Dr. Tobias Quathamer" <toddy@debian.org>
Date: Tue, 16 Jun 2020 23:03:11 +0200
Subject: Disable check for windows.h

Forwarded: no
Last-Update: 2018/12/09
---
 CMakeLists.txt | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index c43866d..eff8839 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -425,7 +425,9 @@ find_package(SimGear ${MIN_SIMGEAR_VERSION} CONFIG REQUIRED)
 check_include_file(unistd.h        HAVE_UNISTD_H)
 check_include_file(sys/time.h      HAVE_SYS_TIME_H)
 check_include_file(sys/timeb.h     HAVE_SYS_TIMEB_H)
-check_include_file(windows.h       HAVE_WINDOWS_H)
+if(WIN32)
+    check_include_file(windows.h       HAVE_WINDOWS_H)
+endif()
 check_function_exists(timegm       HAVE_TIMEGM)
 check_variable_exists(daylight     HAVE_DAYLIGHT)
 check_function_exists(ftime        HAVE_FTIME)
